Bug 284 - [Regression from 2.2.8a] 3.0.0b3 smbclient fails to detect hosts and shares
[Regression from 2.2.8a] 3.0.0b3 smbclient fails to detect hosts and shares
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-09 17:08 UTC by Bernhard Rosenkraenzer
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Rosenkraenzer 2003-08-09 17:08:13 UTC
This happened in one of our users' network, so unfortunately I don't have the 
full information [can ask for more though]. His master browser is a Windows XP 
Home (German version) box. 
 
2.2.8a works perfectly; 3.0.0 beta claims there aren't any hosts. 
 
Output from smbclient -U user%password -L 192.168.1.26 in both versions: 
 
2.2.8a 
====== 
added interface ip=192.168.1.27 bcast=192.168.1.255 nmask=255.255.255.0 
session request to 192.168.1.26 failed (Called name not present) 
session request to 192 failed (Called name not present) 
Domain=[CSB] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager] 
 
        Sharename      Type      Comment 
        ---------      ----      ------- 
        IPC$           IPC       Remote-IPC 
        D$             Disk      Standardfreigabe 
        SharedDocs     Disk 
        Archiv         Disk 
        ADMIN$         Disk      Remoteadmin 
        C$             Disk      Standardfreigabe 
        Archiv2        Disk 
 
        Server               Comment 
        ---------            ------- 
        ARCHIMEDIS           ANDI Digital Media Recorder 
        MEDIA-SERVER 
        VAIO-PCG-X1D 
 
        Workgroup            Master 
        ---------            ------- 
        CSB                  MEDIA-SERVER 
 
 
3.0.0b3 
======= 
creating lame upcase table 
creating lame lowcase table 
OS=[Windows 5.1] Server=[Windows 2000 LAN Manager] 
 
        Sharename      Type      Comment 
        ---------      ----      ------- 
        IPC$           IPC       Remote-IPC 
        D$             Disk      Standardfreigabe 
        SharedDocs     Disk 
        Archiv         Disk 
        ADMIN$         Disk      Remoteadmin 
        C$             Disk      Standardfreigabe 
        Archiv2        Disk 
 
        Server               Comment 
        ---------            ------- 
 
        Workgroup            Master 
        ---------            ------- 
 
 
3.0.0 b3 output with -d 9 
========================= 
creating lame upcase table 
creating lame lowcase table 
INFO: Current debug levels: 
  all: True/9 
  tdb: False/0 
  printdrivers: False/0 
  lanman: False/0 
  smb: False/0 
  rpc_parse: False/0 
  rpc_srv: False/0 
  rpc_cli: False/0 
  passdb: False/0 
  sam: False/0 
  auth: False/0 
  winbind: False/0 
  vfs: False/0 
  idmap: False/0 
added interface ip=192.168.1.27 bcast=192.168.1.255 nmask=255.255.255.0 
Netbios name list:- 
my_netbios_names[0]="ARCHIMEDIS" 
Client started (version 3.0.0beta3). 
Connecting to 192.168.1.26 at port 445 
socket option SO_KEEPALIVE = 0 
socket option SO_REUSEADDR = 0 
socket option SO_BROADCAST = 0 
socket option TCP_NODELAY = 1 
socket option IPTOS_LOWDELAY = 0 
socket option IPTOS_THROUGHPUT = 0 
socket option SO_SNDBUF = 16384 
socket option SO_RCVBUF = 16384 
socket option SO_SNDLOWAT = 1 
socket option SO_RCVLOWAT = 1 
socket option SO_SNDTIMEO = 0 
socket option SO_RCVTIMEO = 0 
 session request ok 
write_socket(3,183) 
write_socket(3,183) wrote 183 
size=85 
smb_com=0x72 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=0 
smb_mid=1 
smt_wct=17 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]= 2563 (0xA03) 
smb_vwv[ 2]=  256 (0x100) 
smb_vwv[ 3]= 1024 (0x400) 
smb_vwv[ 4]=   17 (0x11) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=  256 (0x100) 
smb_vwv[ 7]=    0 (0x0) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=64768 (0xFD00) 
smb_vwv[10]=  227 (0xE3) 
smb_vwv[11]=20608 (0x5080) 
smb_vwv[12]=27827 (0x6CB3) 
smb_vwv[13]=38489 (0x9659) 
smb_vwv[14]=50011 (0xC35B) 
smb_vwv[15]=34817 (0x8801) 
smb_vwv[16]=  255 (0xFF) 
smb_bcc=16 
size=85 
smb_com=0x72 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=0 
smb_mid=1 
smt_wct=17 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]= 2563 (0xA03) 
smb_vwv[ 2]=  256 (0x100) 
smb_vwv[ 3]= 1024 (0x400) 
smb_vwv[ 4]=   17 (0x11) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=  256 (0x100) 
smb_vwv[ 7]=    0 (0x0) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=64768 (0xFD00) 
smb_vwv[10]=  227 (0xE3) 
smb_vwv[11]=20608 (0x5080) 
smb_vwv[12]=27827 (0x6CB3) 
smb_vwv[13]=38489 (0x9659) 
smb_vwv[14]=50011 (0xC35B) 
smb_vwv[15]=34817 (0x8801) 
smb_vwv[16]=  255 (0xFF) 
smb_bcc=16 
Serverzone is -7200 
Doing spnego session setup (blob length=16) 
server didn't supply a full spnego negprot 
write_socket(3,164) 
write_socket(3,164) wrote 164 
size=336 
smb_com=0x73 
smb_rcls=22 
smb_reh=0 
smb_err=49152 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=4 
smb_vwv[ 0]=  255 (0xFF) 
smb_vwv[ 1]=  336 (0x150) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=  219 (0xDB) 
smb_bcc=293 
size=336 
smb_com=0x73 
smb_rcls=22 
smb_reh=0 
smb_err=49152 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=4 
smb_vwv[ 0]=  255 (0xFF) 
smb_vwv[ 1]=  336 (0x150) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=  219 (0xDB) 
smb_bcc=293 
Got challenge flags: 
Got NTLMSSP neg_flags=0x20820205 
  NTLMSSP_NEGOTIATE_UNICODE 
  NTLMSSP_REQUEST_TARGET 
  NTLMSSP_NEGOTIATE_NTLM 
  NTLMSSP_CHAL_TARGET_INFO 
  NTLMSSP_NEGOTIATE_128 
NTLMSSP: Set final flags: 
Got NTLMSSP neg_flags=0x20000205 
  NTLMSSP_NEGOTIATE_UNICODE 
  NTLMSSP_REQUEST_TARGET 
  NTLMSSP_NEGOTIATE_NTLM 
  NTLMSSP_NEGOTIATE_128 
write_socket(3,244) 
write_socket(3,244) wrote 244 
size=126 
smb_com=0x73 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=4 
smb_vwv[ 0]=  255 (0xFF) 
smb_vwv[ 1]=  126 (0x7E) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    9 (0x9) 
smb_bcc=83 
size=126 
smb_com=0x73 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=0 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=4 
smb_vwv[ 0]=  255 (0xFF) 
smb_vwv[ 1]=  126 (0x7E) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    9 (0x9) 
smb_bcc=83 
OS=[Windows 5.1] Server=[Windows 2000 LAN Manager] 
 session setup ok 
write_socket(3,94) 
write_socket(3,94) wrote 94 
size=48 
smb_com=0x75 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=3 
smb_vwv[ 0]=  255 (0xFF) 
smb_vwv[ 1]=   48 (0x30) 
smb_vwv[ 2]=    1 (0x1) 
smb_bcc=7 
 tconx ok 
 
        Sharename      Type      Comment 
        ---------      ----      ------- 
size=109 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[ 0]=   19 (0x13) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]= 1024 (0x400) 
smb_vwv[ 3]=65504 (0xFFE0) 
smb_vwv[ 4]=    0 (0x0) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=    0 (0x0) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=   19 (0x13) 
smb_vwv[10]=   90 (0x5A) 
smb_vwv[11]=    0 (0x0) 
smb_vwv[12]=  109 (0x6D) 
smb_vwv[13]=    0 (0x0) 
smb_bcc=46 
write_socket(3,113) 
write_socket(3,113) wrote 113 
size=264 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=  200 (0xC8) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=  200 (0xC8) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=209 
size=264 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=  200 (0xC8) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=  200 (0xC8) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=209 
        IPC$           IPC       Remote-IPC 
        D$             Disk      Standardfreigabe 
        SharedDocs     Disk 
        Archiv         Disk 
        ADMIN$         Disk      Remoteadmin 
        C$             Disk      Standardfreigabe 
        Archiv2        Disk 
 
        Server               Comment 
        ---------            ------- 
size=117 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[ 0]=   27 (0x1B) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    8 (0x8) 
smb_vwv[ 3]=65535 (0xFFFF) 
smb_vwv[ 4]=    0 (0x0) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=    0 (0x0) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=   27 (0x1B) 
smb_vwv[10]=   90 (0x5A) 
smb_vwv[11]=    0 (0x0) 
smb_vwv[12]=  117 (0x75) 
smb_vwv[13]=    0 (0x0) 
smb_bcc=54 
write_socket(3,121) 
write_socket(3,121) wrote 121 
size=64 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=9 
size=64 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=9 
 
        Workgroup            Master 
        ---------            ------- 
size=117 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[ 0]=   27 (0x1B) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    8 (0x8) 
smb_vwv[ 3]=65535 (0xFFFF) 
smb_vwv[ 4]=    0 (0x0) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=    0 (0x0) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=   27 (0x1B) 
smb_vwv[10]=   90 (0x5A) 
smb_vwv[11]=    0 (0x0) 
smb_vwv[12]=  117 (0x75) 
smb_vwv[13]=    0 (0x0) 
smb_bcc=54 
write_socket(3,121) 
write_socket(3,121) wrote 121 
size=64 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=9 
size=64 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[ 0]=    8 (0x8) 
smb_vwv[ 1]=    0 (0x0) 
smb_vwv[ 2]=    0 (0x0) 
smb_vwv[ 3]=    8 (0x8) 
smb_vwv[ 4]=   56 (0x38) 
smb_vwv[ 5]=    0 (0x0) 
smb_vwv[ 6]=    0 (0x0) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[ 8]=    0 (0x0) 
smb_vwv[ 9]=    0 (0x0) 
smb_bcc=9 
write_socket(3,45) 
write_socket(3,45) wrote 45 
size=35 
smb_com=0x4 
smb_rcls=8 
smb_reh=0 
smb_err=49152 
smb_flg=136 
smb_flg2=51201 
smb_tid=2048 
smb_pid=2185 
smb_uid=2048 
smb_mid=1 
smt_wct=0 
smb_bcc=0 
 
 
Output from 2.2.8a with -d 9 
============================ 
3 0x0 (l->u = False) (u->l = False) 
Adding chars 0x24 0x0 (l->u = False) (u->l = False) 
Adding chars 0x25 0x0 (l->u = False) (u->l = False) 
Adding chars 0x26 0x0 (l->u = False) (u->l = False) 
Adding chars 0x27 0x0 (l->u = False) (u->l = False) 
Adding chars 0x28 0x0 (l->u = False) (u->l = False) 
Adding chars 0x29 0x0 (l->u = False) (u->l = False) 
Adding chars 0x2d 0x0 (l->u = False) (u->l = False) 
Adding chars 0x2e 0x0 (l->u = False) (u->l = False) 
Adding chars 0x30 0x0 (l->u = False) (u->l = False) 
Adding chars 0x31 0x0 (l->u = False) (u->l = False) 
Adding chars 0x32 0x0 (l->u = False) (u->l = False) 
Adding chars 0x33 0x0 (l->u = False) (u->l = False) 
Adding chars 0x34 0x0 (l->u = False) (u->l = False) 
Adding chars 0x35 0x0 (l->u = False) (u->l = False) 
Adding chars 0x36 0x0 (l->u = False) (u->l = False) 
Adding chars 0x37 0x0 (l->u = False) (u->l = False) 
Adding chars 0x38 0x0 (l->u = False) (u->l = False) 
Adding chars 0x39 0x0 (l->u = False) (u->l = False) 
Adding chars 0x40 0x0 (l->u = False) (u->l = False) 
Adding chars 0x41 0x0 (l->u = False) (u->l = False) 
Adding chars 0x42 0x0 (l->u = False) (u->l = False) 
Adding chars 0x43 0x0 (l->u = False) (u->l = False) 
Adding chars 0x44 0x0 (l->u = False) (u->l = False) 
Adding chars 0x45 0x0 (l->u = False) (u->l = False) 
Adding chars 0x46 0x0 (l->u = False) (u->l = False) 
Adding chars 0x47 0x0 (l->u = False) (u->l = False) 
Adding chars 0x48 0x0 (l->u = False) (u->l = False) 
Adding chars 0x49 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4a 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4b 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4c 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4d 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4e 0x0 (l->u = False) (u->l = False) 
Adding chars 0x4f 0x0 (l->u = False) (u->l = False) 
Adding chars 0x50 0x0 (l->u = False) (u->l = False) 
Adding chars 0x51 0x0 (l->u = False) (u->l = False) 
Adding chars 0x52 0x0 (l->u = False) (u->l = False) 
Adding chars 0x53 0x0 (l->u = False) (u->l = False) 
Adding chars 0x54 0x0 (l->u = False) (u->l = False) 
Adding chars 0x55 0x0 (l->u = False) (u->l = False) 
Adding chars 0x56 0x0 (l->u = False) (u->l = False) 
Adding chars 0x57 0x0 (l->u = False) (u->l = False) 
Adding chars 0x58 0x0 (l->u = False) (u->l = False) 
Adding chars 0x59 0x0 (l->u = False) (u->l = False) 
Adding chars 0x5a 0x0 (l->u = False) (u->l = False) 
Adding chars 0x5e 0x0 (l->u = False) (u->l = False) 
Adding chars 0x5f 0x0 (l->u = False) (u->l = False) 
Adding chars 0x60 0x0 (l->u = False) (u->l = False) 
Adding chars 0x61 0x0 (l->u = False) (u->l = False) 
Adding chars 0x62 0x0 (l->u = False) (u->l = False) 
Adding chars 0x63 0x0 (l->u = False) (u->l = False) 
Adding chars 0x64 0x0 (l->u = False) (u->l = False) 
Adding chars 0x65 0x0 (l->u = False) (u->l = False) 
Adding chars 0x66 0x0 (l->u = False) (u->l = False) 
Adding chars 0x67 0x0 (l->u = False) (u->l = False) 
Adding chars 0x68 0x0 (l->u = False) (u->l = False) 
Adding chars 0x69 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6a 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6b 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6c 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6d 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6e 0x0 (l->u = False) (u->l = False) 
Adding chars 0x6f 0x0 (l->u = False) (u->l = False) 
Adding chars 0x70 0x0 (l->u = False) (u->l = False) 
Adding chars 0x71 0x0 (l->u = False) (u->l = False) 
Adding chars 0x72 0x0 (l->u = False) (u->l = False) 
Adding chars 0x73 0x0 (l->u = False) (u->l = False) 
Adding chars 0x74 0x0 (l->u = False) (u->l = False) 
Adding chars 0x75 0x0 (l->u = False) (u->l = False) 
Adding chars 0x76 0x0 (l->u = False) (u->l = False) 
Adding chars 0x77 0x0 (l->u = False) (u->l = False) 
Adding chars 0x78 0x0 (l->u = False) (u->l = False) 
Adding chars 0x79 0x0 (l->u = False) (u->l = False) 
Adding chars 0x7a 0x0 (l->u = False) (u->l = False) 
Adding chars 0x7b 0x0 (l->u = False) (u->l = False) 
Adding chars 0x7d 0x0 (l->u = False) (u->l = False) 
Adding chars 0x7e 0x0 (l->u = False) (u->l = False) 
Initialising global parameters 
params.c:pm_process() - Processing configuration file 
"/etc/samba/smb.conf" 
Processing section "[global]" 
doing parameter server string = ANDI Digital Media Recorder 
doing parameter netbios name = Archimedis 
handle_netbios_name: set global_myname to: ARCHIMEDIS 
doing parameter log file = /var/log/samba/%m.log 
doing parameter max log size = 50 
doing parameter security = share 
doing parameter socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192 
doing parameter local master = no 
doing parameter dns proxy = no 
doing parameter encrypt passwords = yes 
doing parameter smb passwd file = /etc/samba/smbpasswd 
doing parameter browseable = yes 
doing parameter announce as = NT Server 
doing parameter announce version = 3.0 
doing parameter available = yes 
doing parameter workgroup = CSB 
pm_process() returned Yes 
lp_servicenumber: couldn't find homes 
codepage_initialise: client code page = 850 
load_client_codepage: loading codepage 850. 
Adding chars 0x85 0xb7 (l->u = True) (u->l = True) 
Adding chars 0xa0 0xb5 (l->u = True) (u->l = True) 
Adding chars 0x83 0xb6 (l->u = True) (u->l = True) 
Adding chars 0xc6 0xc7 (l->u = True) (u->l = True) 
Adding chars 0x84 0x8e (l->u = True) (u->l = True) 
Adding chars 0x86 0x8f (l->u = True) (u->l = True) 
Adding chars 0x91 0x92 (l->u = True) (u->l = True) 
Adding chars 0x87 0x80 (l->u = True) (u->l = True) 
Adding chars 0x8a 0xd4 (l->u = True) (u->l = True) 
Adding chars 0x82 0x90 (l->u = True) (u->l = True) 
Adding chars 0x88 0xd2 (l->u = True) (u->l = True) 
Adding chars 0x89 0xd3 (l->u = True) (u->l = True) 
Adding chars 0x8d 0xde (l->u = True) (u->l = True) 
Adding chars 0xa1 0xd6 (l->u = True) (u->l = True) 
Adding chars 0x8c 0xd7 (l->u = True) (u->l = True) 
Adding chars 0x8b 0xd8 (l->u = True) (u->l = True) 
Adding chars 0xd0 0xd1 (l->u = True) (u->l = True) 
Adding chars 0xa4 0xa5 (l->u = True) (u->l = True) 
Adding chars 0x95 0xe3 (l->u = True) (u->l = True) 
Adding chars 0xa2 0xe0 (l->u = True) (u->l = True) 
Adding chars 0x93 0xe2 (l->u = True) (u->l = True) 
Adding chars 0xe4 0xe5 (l->u = True) (u->l = True) 
Adding chars 0x94 0x99 (l->u = True) (u->l = True) 
Adding chars 0x9b 0x9d (l->u = True) (u->l = True) 
Adding chars 0x97 0xeb (l->u = True) (u->l = True) 
Adding chars 0xa3 0xe9 (l->u = True) (u->l = True) 
Adding chars 0x96 0xea (l->u = True) (u->l = True) 
Adding chars 0x81 0x9a (l->u = True) (u->l = True) 
Adding chars 0xec 0xed (l->u = True) (u->l = True) 
Adding chars 0xe7 0xe8 (l->u = True) (u->l = True) 
Adding chars 0x9c 0x0 (l->u = False) (u->l = False) 
load_unicode_map: loading unicode map for codepage 850. 
load_unicode_map: loading unicode map for codepage ISO8859-1. 
added interface ip=192.168.1.27 bcast=192.168.1.255 nmask=255.255.255.0 
Client started (version 2.2.8a). 
Connecting to 192.168.1.26 at port 139 
socket option SO_KEEPALIVE = 0 
socket option SO_REUSEADDR = 0 
socket option SO_BROADCAST = 0 
socket option TCP_NODELAY = 1 
socket option IPTOS_LOWDELAY = 0 
socket option IPTOS_THROUGHPUT = 0 
socket option SO_SNDBUF = 16384 
socket option SO_RCVBUF = 16384 
socket option SO_SNDLOWAT = 1 
socket option SO_RCVLOWAT = 1 
socket option SO_SNDTIMEO = 0 
socket option SO_RCVTIMEO = 0 
write_socket(3,72) 
write_socket(3,72) wrote 72 
Sent session request 
size=1 
smb_com=0x0 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=0 
smb_flg2=0 
smb_tid=0 
smb_pid=0 
smb_uid=0 
smb_mid=0 
smt_wct=0 
smb_bcc=0 
session request to 192.168.1.26 failed (Called name not present) 
Connecting to 192.168.1.26 at port 139 
socket option SO_KEEPALIVE = 0 
socket option SO_REUSEADDR = 0 
socket option SO_BROADCAST = 0 
socket option TCP_NODELAY = 1 
socket option IPTOS_LOWDELAY = 0 
socket option IPTOS_THROUGHPUT = 0 
socket option SO_SNDBUF = 16384 
socket option SO_RCVBUF = 16384 
socket option SO_SNDLOWAT = 1 
socket option SO_RCVLOWAT = 1 
socket option SO_SNDTIMEO = 0 
socket option SO_RCVTIMEO = 0 
write_socket(3,72) 
write_socket(3,72) wrote 72 
Sent session request 
size=1 
smb_com=0x0 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=0 
smb_flg2=0 
smb_tid=0 
smb_pid=0 
smb_uid=0 
smb_mid=0 
smt_wct=0 
smb_bcc=0 
session request to 192 failed (Called name not present) 
Connecting to 192.168.1.26 at port 139 
socket option SO_KEEPALIVE = 0 
socket option SO_REUSEADDR = 0 
socket option SO_BROADCAST = 0 
socket option TCP_NODELAY = 1 
socket option IPTOS_LOWDELAY = 0 
socket option IPTOS_THROUGHPUT = 0 
socket option SO_SNDBUF = 16384 
socket option SO_RCVBUF = 16384 
socket option SO_SNDLOWAT = 1 
socket option SO_RCVLOWAT = 1 
socket option SO_SNDTIMEO = 0 
socket option SO_RCVTIMEO = 0 
write_socket(3,72) 
write_socket(3,72) wrote 72 
Sent session request 
size=0 
smb_com=0x0 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=0 
smb_flg2=0 
smb_tid=0 
smb_pid=0 
smb_uid=0 
smb_mid=0 
smt_wct=0 
smb_bcc=0 
 session request ok 
write_socket(3,168) 
write_socket(3,168) wrote 168 
size=111 
smb_com=0x72 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=1 
smb_tid=0 
smb_pid=2231 
smb_uid=0 
smb_mid=1 
smt_wct=17 
smb_vwv[0]=7 (0x7) 
smb_vwv[1]=2563 (0xA03) 
smb_vwv[2]=256 (0x100) 
smb_vwv[3]=1024 (0x400) 
smb_vwv[4]=17 (0x11) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=256 (0x100) 
smb_vwv[7]=0 (0x0) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=64768 (0xFD00) 
smb_vwv[10]=227 (0xE3) 
smb_vwv[11]=57344 (0xE000) 
smb_vwv[12]=28940 (0x710C) 
smb_vwv[13]=38591 (0x96BF) 
smb_vwv[14]=50011 (0xC35B) 
smb_vwv[15]=34817 (0x8801) 
smb_vwv[16]=2303 (0x8FF) 
smb_bcc=42 
size=111 
smb_com=0x72 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=1 
smb_tid=0 
smb_pid=2231 
smb_uid=0 
smb_mid=1 
smt_wct=17 
smb_vwv[0]=7 (0x7) 
smb_vwv[1]=2563 (0xA03) 
smb_vwv[2]=256 (0x100) 
smb_vwv[3]=1024 (0x400) 
smb_vwv[4]=17 (0x11) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=256 (0x100) 
smb_vwv[7]=0 (0x0) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=64768 (0xFD00) 
smb_vwv[10]=227 (0xE3) 
smb_vwv[11]=57344 (0xE000) 
smb_vwv[12]=28940 (0x710C) 
smb_vwv[13]=38591 (0x96BF) 
smb_vwv[14]=50011 (0xC35B) 
smb_vwv[15]=34817 (0x8801) 
smb_vwv[16]=2303 (0x8FF) 
smb_bcc=42 
write_socket(3,154) 
write_socket(3,154) wrote 154 
size=123 
smb_com=0x73 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=0 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=3 
smb_vwv[0]=255 (0xFF) 
smb_vwv[1]=123 (0x7B) 
smb_vwv[2]=0 (0x0) 
smb_bcc=82 
size=123 
smb_com=0x73 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=0 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=3 
smb_vwv[0]=255 (0xFF) 
smb_vwv[1]=123 (0x7B) 
smb_vwv[2]=0 (0x0) 
smb_bcc=82 
Domain=[CSB] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager] 
 session setup ok 
write_socket(3,94) 
write_socket(3,94) wrote 94 
size=48 
smb_com=0x75 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=3 
smb_vwv[0]=255 (0xFF) 
smb_vwv[1]=48 (0x30) 
smb_vwv[2]=1 (0x1) 
smb_bcc=7 
 tconx ok 
 
        Sharename      Type      Comment 
        ---------      ----      ------- 
size=109 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[0]=19 (0x13) 
smb_vwv[1]=0 (0x0) 
smb_vwv[2]=1024 (0x400) 
smb_vwv[3]=65504 (0xFFE0) 
smb_vwv[4]=0 (0x0) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=0 (0x0) 
smb_vwv[7]=0 (0x0) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=19 (0x13) 
smb_vwv[10]=90 (0x5A) 
smb_vwv[11]=0 (0x0) 
smb_vwv[12]=109 (0x6D) 
smb_vwv[13]=0 (0x0) 
smb_bcc=46 
write_socket(3,113) 
write_socket(3,113) wrote 113 
size=264 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=200 (0xC8) 
smb_vwv[2]=0 (0x0) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=200 (0xC8) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=209 
size=264 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=200 (0xC8) 
smb_vwv[2]=0 (0x0) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=200 (0xC8) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=209 
        IPC$           IPC       Remote-IPC 
        D$             Disk      Standardfreigabe 
        SharedDocs     Disk 
        Archiv         Disk 
        ADMIN$         Disk      Remoteadmin 
        C$             Disk      Standardfreigabe 
        Archiv2        Disk 
 
        Server               Comment 
        ---------            ------- 
size=120 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[0]=30 (0x1E) 
smb_vwv[1]=0 (0x0) 
smb_vwv[2]=8 (0x8) 
smb_vwv[3]=65535 (0xFFFF) 
smb_vwv[4]=0 (0x0) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=0 (0x0) 
smb_vwv[7]=0 (0x0) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=30 (0x1E) 
smb_vwv[10]=90 (0x5A) 
smb_vwv[11]=0 (0x0) 
smb_vwv[12]=120 (0x78) 
smb_vwv[13]=0 (0x0) 
smb_bcc=57 
write_socket(3,124) 
write_socket(3,124) wrote 124 
size=173 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=109 (0x6D) 
smb_vwv[2]=0 (0x0) 
smb_vwv[ 7]=   64 (0x40) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=109 (0x6D) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=118 
size=173 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=109 (0x6D) 
smb_vwv[2]=0 (0x0) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=109 (0x6D) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=118 
        ARCHIMEDIS           ANDI Digital Media Recorder 
        MEDIA-SERVER 
        VAIO-PCG-X1D 
 
        Workgroup            Master 
        ---------            ------- 
size=120 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=8 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=14 
smb_vwv[0]=30 (0x1E) 
smb_vwv[1]=0 (0x0) 
smb_vwv[2]=8 (0x8) 
smb_vwv[3]=65535 (0xFFFF) 
smb_vwv[4]=0 (0x0) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=0 (0x0) 
smb_vwv[7]=0 (0x0) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=30 (0x1E) 
smb_vwv[10]=90 (0x5A) 
smb_vwv[11]=0 (0x0) 
smb_vwv[12]=120 (0x78) 
smb_vwv[13]=0 (0x0) 
smb_bcc=57 
write_socket(3,124) 
write_socket(3,124) wrote 124 
size=103 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=39 (0x27) 
smb_vwv[2]=0 (0x0) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=39 (0x27) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=48 
size=103 
smb_com=0x25 
smb_rcls=0 
smb_reh=0 
smb_err=0 
smb_flg=136 
smb_flg2=49153 
smb_tid=2048 
smb_pid=2231 
smb_uid=2048 
smb_mid=1 
smt_wct=10 
smb_vwv[0]=8 (0x8) 
smb_vwv[1]=39 (0x27) 
smb_vwv[2]=0 (0x0) 
smb_vwv[3]=8 (0x8) 
smb_vwv[4]=56 (0x38) 
smb_vwv[5]=0 (0x0) 
smb_vwv[6]=39 (0x27) 
smb_vwv[7]=64 (0x40) 
smb_vwv[8]=0 (0x0) 
smb_vwv[9]=0 (0x0) 
smb_bcc=48 
        CSB                  MEDIA-SERVER 
 
 
Verified working on 2.2.8a, broken on 3.0.0 beta 3 and 3.0.0 beta 2.
Comment 1 Volker Lendecke 2003-08-10 14:45:38 UTC
http://lists.samba.org/pipermail/samba-cvs/2003-August/086016.html should
fix this.

Volker
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:41:26 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:31:07 UTC
database cleanup